import React from "react";
import ReactDOM from "react-dom/client";
import App from "./App.jsx";
import "@fontsource/press-start-2p";
import "./common/styles/main.sass";
import { SocketProvider, GameProvider } from "./context/GameContext.jsx";

ReactDOM.createRoot(document.getElementById("root")).render(
    <React.StrictMode>
        <SocketProvider>
            <GameProvider>
                <div className="app">
                    <App/>
                </div>
            </GameProvider>
        </SocketProvider>
    </React.StrictMode>,
);